When slow, "Add PostGIS Tables" dialog needs to tell me which tables/views are taking too long to

process
Description

The Add PostGIS Tables dialog takes far too long to be ready. Part of my problem is that | have several views, so it is apparently having
to process each view.

In my case, it is taking over 4 minutes to process.

I had to dig around to figure out which of my several views is too slow. QGIS should give me some clear indicator, if | need it, of
slow-loading views.

History

#1 - 2013-10-01 02:51 AM - Sandro Santilli
- Operating System changed from Windows 7 x64 to Windows 7 x64 Linux

I've a similar case and found out that dropping the "WHERE <geomcol> IS NOT NULL" portion from the query retriving estimated metadata (those with

LIMIT 100 at the end) makes some query time go down from 5 seconds to 0.05 seconds (2 order of magnitude faster!).

Especially when "Use estimated metadata" is checked in the options (Do you have that, Aren?) | think the "not null" condition should be dropped. It helps

the estimator finds a much faster path.

#2 - 2013-10-03 09:56 AM - Sandro Santilli

Jurgen committed a fix for the "NOT NULL" condition (thank you!):
#4ea85fe50a0e2390917347b7218de13e6c57ed26

Aren: does that help you ?

See also #8730, which may help

#3 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2019-05-23 09:15 PM - Regis Haubourg

- Status changed from Open to Closed
- Description updated
Closing, please reopen if necessary. For the record, if checkbox "use geometry columns table" and "use estimated metadata" are not checked, this will
actually query the features of each layer to compute unique id, geometrytype and extent... which can be a database killer. Don't forget to use typemod in
postgis view to explicitly declare those geometry types and projections. Something like geom::Geometry(Polygon, 2154) for instance..

2025-05-17 22



